XFCE-THEME-MANAGER(1)

NAME
xfce-theme-manager - A theme manager for Xfce

SYNOPSIS
xfce-theme-manager [option.1] ... [option.N]

DESCRIPTION
This manual page documents briefly xfce-theme-manager.
xfce-theme-manager is a theme manager allowing easy configuration of themes, window borders, controls, icons, backdrops, cursors etcetera for Xfce4.

OPERATION
When xfce-theme-manager starts, the user can do any of the following
[Reset Theme]
Discard all changes.
[Save Theme]
Enter a custom theme name to save/delete, you can also quickly delete a custom theme by control-clicking a custom theme thumbnail.
[About]
Credits and stuff.
[Advanced Tab]
[Rebuild DB]
Rebuild the database.
[Xfce-Composite-Editor]
Run the composite editor (if installed).
Available here:
http://keithhedger.hostingsiteforfree.com/zips/Xfce4-Composite-Editor.ta r.gz
You need to have gtkdialog version 0.8.x and BASH installed To run the Composite Editor.
[Backdrop Adjustments]
Set Brightness/Saturation of the wallpaper.
[Button Layout]
The layout of close, maximize etc. (some themes may overide this).
[Title Position]
Placement of the window title, (some themes may overide this).
[Font Selection]
Title bar/application font.
[Cursor Size]
Set the cursor size if the cursor theme suports it, some do some don't.
[View Options]
[Show system Themes]
Show globally installed theme parts.
[Only show Custom Themes]
Only shows meta themes that you have created, auto generated meta themes are not shown.
[Themes]
Show globally installed meta themes.
[Window Borders]
Show globally installed Xwm4 themes.
[Controls]
Show globally installed Gtk themes.
[Icons]
Show globally installed icon themes.
[Cursors]
Show globally installed mouse themes.
[Wallpapers]
Show globally installed wallpapers.
Locally installed themes parts are always shown except for meta themes if the [Only show Custom Themes] is checked.
You can quickly delete a custom theme by holding control and clicking on the thumbnail, only custom themes you have created can be deleted and only the database entry is removed nothing is uninstalled from your system.
To install a theme/gtk/icon/cursor/border/wallpaper just drag and drop the archive (wallpapers should not be archived) anywhere on the main window and if posible the theme etc will be installed into the correct place, all installations are local, supported archive types are: "*.tgz","*.gz","*.zip","*.ta r","*.bz2", supported wallpaper types are: "*.jpg","*.png","*.bmp","*.gif" anything else you will have to install yourself.
You must have unzip installed to drag 'n' drop .zip files.
The thumbnails are stored in ${HOME}/.config/XfceThemeManager.
The DB is updated automatically on drag'n'drop, if you do a lot of adding and removing of themes/icons etc you may want to run Re-build DB from the advanced tab.
Meta Themes are themes that contain a gtk2 folder and an xfwm4 folder (ie window frames and controls), if there is a gnome-like "theme.index" file that also specifies an icon set this will be used as well.

COMMAND LINE OPTIONS
-v, --version
    Print version info and quit.
-u, --update-db
    Update the database.
-r, --build-db
    Re-build the database.
-n, --nogui
    Don't run the GUI.
-t, --theme=ARG
    Set the meta-theme to ARG.
-c, --controls=ARG
    Set the controls theme to ARG.
-w, --wmborder=ARG
    Set the window border to ARG.
-i, --icons=ARG
    Set the icon theme to ARG.
-p, --cursors=ARG
    Set the cursor theme to ARG.
-b, --backdrop=ARG
    Set wallpaper to ARG.
-m, --monitor
    Set monitor for wallpaper default 0
    -m can be used multiple times on the command line,
    the last value is used, this allows you to set wallpapers for multple monitors in one go.
-a, --panel=ARG
    Set which panel to change ( default is 1 )
    -a can be used multiple times on the command line,
    the last value is used, this allows you to set multple panel data in one go.
-z, --panel-size=ARG
    Set panel size to ARG
-y, --panel-style=ARG
    Set panel style to ARG
-g, --panel-image=ARG
    Set path to panel image to ARG
-d, --panel-alpha=ARG
    Set panel alpha to ARG, range 0-100
-o, --panel-colour=ARG
    Set panel colour to ARG in hex format ie ff00ff
    ARG MUST be exactly 6 hex characters.
-l, --list=ARG
    List DB entry's, where ARG = any of "*Ctwcib".
    Where 'C' prints custom themes, 't' prints themes, 'w' prints window borders, 'c' prints controls 'i' prints icons and 'b' prints backdrops.
    If the first/only character is a '*' then all entry's are printed.
-?, --help
    Print help.
Options tcwipblvh? all imply -n.

EXAMPLES
A number of example scripts for command line usage can be found in /PREFIX/share/Xfce-Theme-Manager/scripts. RandomGTK
Set a random gtk theme.
RandomWMBorder
Set a random window maanger border.
RandomWallpaper
Set a random wallpaper on all monitors.
RandomAll
Do all of the above - WARNING! this can create some eye watering combinations!
SequentialGTK
Every time the script is run the next gtk theme in a sorted list is used.
SequentialWMBorder
Every time the script is run the next in a sorted window maanger border list is used.
SequentialWallpaper
Every time the script is run the next in a sorted wallpaper list is used.

AUTHOR
Xfce-Theme-Manager was written by Keith Hedger

This manual page was written by Eduardo Echeverria <echevemaster@gmail.com>, for the Fedora project (and may be used by others), Amended by Keith Hedger, Translated by Pablo Morales Romero <pg.morales.romero@gmail.com> (Spanish), Martin F. Schumann <mfs@mfs.name> (German), Michał Olber (Polish), Moatib <moatib@ymail.com> (French).